> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/sampling/models.md).

# Models

## The ReadSamplesResponse object

```json
{"openapi":"3.0.3","info":{"title":"Catalog Sampling API","version":"1.0.0"},"components":{"schemas":{"ReadSamplesResponse":{"description":"Represents the response returned when sample data is read.","properties":{"dataAvailable":{"type":"boolean","description":"Whether any sample data is available for the columns in the response."},"canRequestAdditionalData":{"type":"boolean","description":"Whether the requestSamples API can be called to query the target database for sample data."},"columnPagedResponse":{"$ref":"#/components/schemas/ColumnPagedResponse"},"error":{"$ref":"#/components/schemas/StandardErrorResponse"}}},"ColumnPagedResponse":{"properties":{"columnOffset":{"type":"integer","format":"int64","description":"The number of results to skip in the response."},"columnLimit":{"type":"integer","format":"int64","description":"The maximum number of results in the response."},"columnTotal":{"type":"integer","format":"int64","description":"The total number of results in the response."},"columns":{"type":"array","description":"The column array containing the sample data.","items":{"$ref":"#/components/schemas/SampleColumn"}}}},"SampleColumn":{"properties":{"id":{"type":"string","description":"The ID of the column asset.","format":"uuid"},"name":{"type":"string","description":"The name of the column asset."},"displayName":{"type":"string","description":"The display name of the column asset."},"tableName":{"type":"string","description":"The table asset name the column asset belongs to."},"samples":{"type":"array","description":"Sample data for a given column asset.","items":{"type":"string"}},"samplingStatus":{"type":"string","description":"The processing status for column assets.\nThe column can be missing (not found in the cache) or forbidden if the user lacks permissions.\n","enum":["OK","MISSING","FORBIDDEN"]}}},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"HTTP response code"},"titleMessage":{"type":"string"},"helpMessage":{"type":"string"},"userMessage":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## The ColumnPagedResponse object

```json
{"openapi":"3.0.3","info":{"title":"Catalog Sampling API","version":"1.0.0"},"components":{"schemas":{"ColumnPagedResponse":{"properties":{"columnOffset":{"type":"integer","format":"int64","description":"The number of results to skip in the response."},"columnLimit":{"type":"integer","format":"int64","description":"The maximum number of results in the response."},"columnTotal":{"type":"integer","format":"int64","description":"The total number of results in the response."},"columns":{"type":"array","description":"The column array containing the sample data.","items":{"$ref":"#/components/schemas/SampleColumn"}}}},"SampleColumn":{"properties":{"id":{"type":"string","description":"The ID of the column asset.","format":"uuid"},"name":{"type":"string","description":"The name of the column asset."},"displayName":{"type":"string","description":"The display name of the column asset."},"tableName":{"type":"string","description":"The table asset name the column asset belongs to."},"samples":{"type":"array","description":"Sample data for a given column asset.","items":{"type":"string"}},"samplingStatus":{"type":"string","description":"The processing status for column assets.\nThe column can be missing (not found in the cache) or forbidden if the user lacks permissions.\n","enum":["OK","MISSING","FORBIDDEN"]}}}}}}
```

## The SampleColumn object

```json
{"openapi":"3.0.3","info":{"title":"Catalog Sampling API","version":"1.0.0"},"components":{"schemas":{"SampleColumn":{"properties":{"id":{"type":"string","description":"The ID of the column asset.","format":"uuid"},"name":{"type":"string","description":"The name of the column asset."},"displayName":{"type":"string","description":"The display name of the column asset."},"tableName":{"type":"string","description":"The table asset name the column asset belongs to."},"samples":{"type":"array","description":"Sample data for a given column asset.","items":{"type":"string"}},"samplingStatus":{"type":"string","description":"The processing status for column assets.\nThe column can be missing (not found in the cache) or forbidden if the user lacks permissions.\n","enum":["OK","MISSING","FORBIDDEN"]}}}}}}
```

## The RequestSamplesResponse object

```json
{"openapi":"3.0.3","info":{"title":"Catalog Sampling API","version":"1.0.0"},"components":{"schemas":{"RequestSamplesResponse":{"description":"Represents the response returned when sample data is requested.","properties":{"newJob":{"type":"boolean","description":"Whether this is a newly created job or one that is in progress."},"job":{"$ref":"#/components/schemas/Job"}}},"Job":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of this resource, i.e. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance].\n","enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"name":{"type":"string","description":"The name of the resource."},"type":{"type":"string","description":"The type of the job."},"userId":{"type":"string","description":"The ID of the user that initiated this job.","format":"uuid"},"progressPercentage":{"type":"number","description":"The progress percentage of the job.","format":"double"},"startDate":{"type":"integer","description":"The start date of the job.","format":"int64"},"endDate":{"type":"integer","description":"The end date of the job.","format":"int64"},"state":{"type":"string","description":"The state of the job.","enum":["WAITING","RUNNING","CANCELING","COMPLETED","CANCELED","ERROR"]},"message":{"type":"string","description":"The message of the job."}},"description":"Represents a job. Job is a single atomic task that is to be performed asynchronously."}}}}
```

## The Job object

```json
{"openapi":"3.0.3","info":{"title":"Catalog Sampling API","version":"1.0.0"},"components":{"schemas":{"Job":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of this resource, i.e. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance].\n","enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"name":{"type":"string","description":"The name of the resource."},"type":{"type":"string","description":"The type of the job."},"userId":{"type":"string","description":"The ID of the user that initiated this job.","format":"uuid"},"progressPercentage":{"type":"number","description":"The progress percentage of the job.","format":"double"},"startDate":{"type":"integer","description":"The start date of the job.","format":"int64"},"endDate":{"type":"integer","description":"The end date of the job.","format":"int64"},"state":{"type":"string","description":"The state of the job.","enum":["WAITING","RUNNING","CANCELING","COMPLETED","CANCELED","ERROR"]},"message":{"type":"string","description":"The message of the job."}},"description":"Represents a job. Job is a single atomic task that is to be performed asynchronously."}}}}
```

## The StandardErrorResponse object

```json
{"openapi":"3.0.3","info":{"title":"Catalog Sampling API","version":"1.0.0"},"components":{"schemas":{"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"HTTP response code"},"titleMessage":{"type":"string"},"helpMessage":{"type":"string"},"userMessage":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/sampling/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
